Cutlass CUDA Templates for Linear Algebra Subroutines and Solvers

Public Types | Public Member Functions | Public Attributes | List of all members
cutlass::Vector< half, kLanes_ > Union Template Reference

`#include <vector.h>`

## Public Types
enum | { kLanes = kLanes_ }
| The number of elements in the vector. More...
enum | { kVectorSize = kLanes * (int)sizeof(Scalar) }
| The size of the vector. More...
enum |
| The number of registers needed to store the vector. More...
typedef half | Scalar
| The scalar type. More...

## Public Member Functions
CUTLASS_HOST_DEVICE Scalar const & | operator[] (uint32_t i) const
| Accessor to the ith lane. More...
CUTLASS_HOST_DEVICE Scalar & | operator[] (uint32_t i)
| Accessor to the ith lane. More...

## Public Attributes
AlignedStruct< kVectorSize > | aligned_
| The aligned storage to make sure we have good alignment. More...
uint16_t | scalars [kLanes]
| The associated array of scalars. More...
uint32_t | registers [kRegisters]
| The data in registers. More...

## Member Typedef Documentation

## ◆ Scalar

template<int kLanes_>

typedef half cutlass::Vector< half, kLanes_ >::Scalar

## Member Enumeration Documentation

## ◆ anonymous enum

template<int kLanes_>

anonymous enum

Enumerator
kLanes |

## ◆ anonymous enum

template<int kLanes_>

anonymous enum

Enumerator
kVectorSize |

## ◆ anonymous enum

template<int kLanes_>

anonymous enum

## Member Function Documentation

## ◆ operator[]() [1/2]

template<int kLanes_>

CUTLASS_HOST_DEVICE Scalar const& cutlass::Vector< half, kLanes_ >::operator[] | ( | uint32_t | i | ) | const
| inline

## ◆ operator[]() [2/2]

template<int kLanes_>

CUTLASS_HOST_DEVICE Scalar& cutlass::Vector< half, kLanes_ >::operator[] | ( | uint32_t | i | ) |
| inline

## Member Data Documentation

## ◆ aligned_

template<int kLanes_>

AlignedStruct<kVectorSize> cutlass::Vector< half, kLanes_ >::aligned_

## ◆ registers

template<int kLanes_>

uint32_t cutlass::Vector< half, kLanes_ >::registers[kRegisters]

## ◆ scalars

template<int kLanes_>

uint16_t cutlass::Vector< half, kLanes_ >::scalars[kLanes]

The documentation for this union was generated from the following file:

- vector.h